#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: jose
version: 0.6.0.3
id: jose-0.6.0.3-HRO4bkY0MOo58Y2TpRDA7r
key: jose-0.6.0.3-HRO4bkY0MOo58Y2TpRDA7r
license: Apache-2.0
copyright: Copyright (C) 2013, 2014, 2015, 2016, 2017  Fraser Tweedale
maintainer: frase@frase.id.au
homepage: https://github.com/frasertweedale/hs-jose
synopsis: Javascript Object Signing and Encryption and JSON Web Token library
description:
    .
    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.
    .
    The JSON Web Signature (JWS; RFC 7515) implementation is complete.
    .
    EdDSA signatures (RFC 8037) are supported (Ed25519 only).
    .
    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).
    .
    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.
    .
    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.
category: Cryptography
author: Fraser Tweedale
exposed: True
indefinite: False
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT
hidden-modules: Crypto.JOSE.TH Crypto.JOSE.Types.Internal
                Crypto.JOSE.Types.Orphans
abi: 4e451c73c04279285eb21f2006528401
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
library-dirs: /usr/lib/ghc-8.2.2/site-local/jose-0.6.0.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/jose-0.6.0.3
hs-libraries: HSjose-0.6.0.3-HRO4bkY0MOo58Y2TpRDA7r
depends:
    base-4.10.1.0 attoparsec-0.13.2.2-ImfqXHsnQ0kLjIvcUXLfco
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    concise-0.1.0.1-LlIZ2Y20y7LLywQNoqgyw containers-0.5.10.2
    cryptonite-0.24-6Ygp664jBWE3FIr3r0Uq44
    lens-4.15.4-6Kx0tk56Q1kDxSHKu5sZIB
    memory-0.14.16-JXoliazMy4LBu5xxL66kmR
    monad-time-0.2-BTL9fQIgw9nCv5qQ1XO7Ws
    mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q template-haskell-2.12.0.0
    safe-0.3.15-EroU33EYnr02fGSZYGiX97
    aeson-1.2.4.0-CTZGfBqMyO6AGhBfx14U8h
    unordered-containers-0.2.9.0-GlwZSbNHLsw5b3PDCuUikn
    bytestring-0.10.8.2 text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj
    time-1.8.0.2 network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3
    QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9
    quickcheck-instances-0.3.16.1-CUvnQoUMmzc9dimErKKElj
    x509-1.7.3-9smDWeEcotWIyHX5PtkyVA
    vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             attoparsec-0.13.2.2-ImfqXHsnQ0kLjIvcUXLfco=02dde2665ea78b3a3aa2c59359e39730
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             concise-0.1.0.1-LlIZ2Y20y7LLywQNoqgyw=ea4351901348254c13e8cb7d4da878f6
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             cryptonite-0.24-6Ygp664jBWE3FIr3r0Uq44=eea3e1c865d0eecd53f47427ac255e06
             lens-4.15.4-6Kx0tk56Q1kDxSHKu5sZIB=50528403b2a1ca2235427f7da1034d8e
             memory-0.14.16-JXoliazMy4LBu5xxL66kmR=ab65a51ef395f4cd2a78138a2eaca54b
             monad-time-0.2-BTL9fQIgw9nCv5qQ1XO7Ws=fdead4e02210d1346322eef1440f39f6
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             semigroups-0.18.4-mxkGq2xNPcBC0dj8uuk3q=c739600aa012ae17eb506df1a043419b
             template-haskell-2.12.0.0=2257617827b0258ca46e933b344007b7
             safe-0.3.15-EroU33EYnr02fGSZYGiX97=c20d058560be9a4b5e941a33ed437bf5
             aeson-1.2.4.0-CTZGfBqMyO6AGhBfx14U8h=8c49f5b853f3a7be5ef595f7dce8b68a
             unordered-containers-0.2.9.0-GlwZSbNHLsw5b3PDCuUikn=e523ad11a5c5a0977b92d6afb6220c8b
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             text-1.2.3.0-FxgEmn4RjqC37dwdnPGDhj=d51c5ac73448d7d6c9cbe4dedb95457e
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3=afebcc3944e17103658dd7506cfde008
             QuickCheck-2.10.1-pyTUKjDV2C3TaEubSGdV9=8d659ba36825a86aa37a2316500bb35b
             quickcheck-instances-0.3.16.1-CUvnQoUMmzc9dimErKKElj=948a2a50f46c2bee57f4fd156fac9448
             x509-1.7.3-9smDWeEcotWIyHX5PtkyVA=3ba1dea0bd5477aa5847e0e36a43dabd
             vector-0.12.0.1-JlawpRjIcMJIYPJVsWriIA=a99b30cfe85615e5f75a9a70e1864f51
haddock-interfaces: /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html: /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

